;;-----------------------------------------------------------------------------
;
;;  Project Name:	
;;     File Name:	
;
;;   Description:	Template for General purpose library, debug routines and equates
;
;;-----------------------------------------------------------------------------
;;                       A U T H O R   I D E N T I T Y
;;-----------------------------------------------------------------------------
;
;;	Initials	Name
;;	--------	-----------------------------------------------
;;	DB			Derek Bolli
;
;;-----------------------------------------------------------------------------
;;                      R E V I S I O N   H I S T O R Y
;;-----------------------------------------------------------------------------
;
;;	  Date		Time	Author	Description
;;	--------	-----	------	---------------------------------------------
;;	25/08/02	11:46	DB		Ported from Zeus assembler to zasm assembler
;;	18/07/02	20:10	DB		Original version (converted from 2DMaze.Z80)
;
;;-----------------------------------------------------------------------------
;;           C O P Y R I G H T  N O T I C E  A N D  D I S C L A I M E R
;;-----------------------------------------------------------------------------
;;  (c) Portions Copyright 1984-2015, Derek Bolli (dbolli at bigpond.net.au)
;;  ALL RIGHTS RESERVED
;;  Permission to use, copy, modify, and distribute this software for
;;  non-commercial purposes and without fee is hereby granted, provided
;;  that the above copyright notice appear in all copies and that both the
;;  copyright notice and this permission notice appear in supporting
;;  documentation, and that the author of this software is notified of
;;  the existence of the modified software.
;
;;  THE MATERIAL EMBODIED ON THIS SOFTWARE IS PROVIDED TO YOU "AS-IS"
;;  AND WITHOUT WARRANTY OF ANY KIND, EXPRESS, IMPLIED OR OTHERWISE,
;;  INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF MERCHANTABILITY OR
;;  FITNESS FOR A PARTICULAR PURPOSE.  IN NO EVENT SHALL THE
;;  AUTHOR BE LIABLE TO YOU OR ANYONE ELSE FOR ANY DIRECT,
;;  SPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY
;;  KIND, OR ANY DAMAGES WHATSOEVER, INCLUDING WITHOUT LIMITATION,
;;  LOSS OF PROFIT, LOSS OF USE, SAVINGS OR REVENUE, OR THE CLAIMS OF
;;  THIRD PARTIES, WHETHER OR NOT THE AUTHOR HAS BEEN
;;  ADVISED OF THE POSSIBILITY OF SUCH LOSS, HOWEVER CAUSED AND ON
;;  ANY THEORY OF LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE
;;  POSSESSION, USE OR PERFORMANCE OF THIS SOFTWARE.
;;-----------------------------------------------------------------------------  


; ****************
; * My Program 1 *
; ****************

; (C) Derek Bolli 1984-2015

; ***************
; Version History:

;   DB    1988      0.0d  Initial version


#target				bin				; declare target file format

; . . . . . . . . . . .
; Code Block 1

#code   _CODE1,$F000,*					; origin ($F000) and variable memory size

DEFFNDERNEXTCODEADDR equ $
	defw DEFFNDERCODEBUFFER

DEFFNDERLOADMODULE equ $
	XOR A
	SCF
	LD HL,(DEFFNDERNEXTCODEADDR)
	PUSH HL								; Save address of module
	PUSH HL
	POP IX
	LD DE,17
	CALL $0556										; LD-BYTES
	LD A,$FF
	LD HL,(DEFFNDERNEXTCODEADDR)
	PUSH HL
	POP IX
	LD E,(IX+11)
	LD D,(IX+12)						; Get length from header bytes
	ADD HL,DE
	LD (DEFFNDERNEXTCODEADDR),HL
	SCF
	CALL $0556										; LD-BYTES
	POP BC								; Get address of module
	RET
	
DEFFNDERCODEBUFFER equ $

#end